# syndb-api-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.5
- Package version: 0.1.11
- Generator version: 7.5.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import syndb_api_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import syndb_api_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import syndb_api_client
from syndb_api_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = syndb_api_client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with syndb_api_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = syndb_api_client.AuthApi(api_client)
    username = 'username_example' # str | 
    password = 'password_example' # str | 
    grant_type = 'grant_type_example' # str |  (optional)
    scope = '' # str |  (optional) (default to '')
    client_id = 'client_id_example' # str |  (optional)
    client_secret = 'client_secret_example' # str |  (optional)

    try:
        # Auth:Database.Login
        api_response = api_instance.auth_database_login_user_auth_database_login_post(username, password, grant_type=grant_type, scope=scope, client_id=client_id, client_secret=client_secret)
        print("The response of AuthApi->auth_database_login_user_auth_database_login_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AuthApi->auth_database_login_user_auth_database_login_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**auth_database_login_user_auth_database_login_post**](docs/AuthApi.md#auth_database_login_user_auth_database_login_post) | **POST** /user/auth/database/login | Auth:Database.Login
*AuthApi* | [**auth_database_logout_user_auth_database_logout_post**](docs/AuthApi.md#auth_database_logout_user_auth_database_logout_post) | **POST** /user/auth/database/logout | Auth:Database.Logout
*AuthApi* | [**oauth_oauth2_database_authorize_user_auth_orcid_authorize_get**](docs/AuthApi.md#oauth_oauth2_database_authorize_user_auth_orcid_authorize_get) | **GET** /user/auth/orcid/authorize | Oauth:Oauth2.Database.Authorize
*AuthApi* | [**oauth_oauth2_database_callback_user_auth_orcid_callback_get**](docs/AuthApi.md#oauth_oauth2_database_callback_user_auth_orcid_callback_get) | **GET** /user/auth/orcid/callback | Oauth:Oauth2.Database.Callback
*DatasetApi* | [**dataset_tag_search_neurodata_metadata_dataset_dataset_tag_search_post**](docs/DatasetApi.md#dataset_tag_search_neurodata_metadata_dataset_dataset_tag_search_post) | **POST** /neurodata/metadata/dataset/dataset_tag_search | Dataset Tag Search
*DatasetApi* | [**fetch_dataset_info_neurodata_metadata_dataset_dataset_id_info_get**](docs/DatasetApi.md#fetch_dataset_info_neurodata_metadata_dataset_dataset_id_info_get) | **GET** /neurodata/metadata/dataset/{dataset_id}/info | Fetch Dataset Info
*DatasetApi* | [**fetch_datasets_neurodata_metadata_dataset_all_get_get**](docs/DatasetApi.md#fetch_datasets_neurodata_metadata_dataset_all_get_get) | **GET** /neurodata/metadata/dataset/all/get | Fetch Datasets
*DatasetApi* | [**fetch_modifiable_datasets_neurodata_metadata_dataset_all_get_modifiable_get**](docs/DatasetApi.md#fetch_modifiable_datasets_neurodata_metadata_dataset_all_get_modifiable_get) | **GET** /neurodata/metadata/dataset/all/get_modifiable | Fetch Modifiable Datasets
*DatasetApi* | [**new_dataset_collection_neurodata_metadata_dataset_new_dataset_collection_post**](docs/DatasetApi.md#new_dataset_collection_neurodata_metadata_dataset_new_dataset_collection_post) | **POST** /neurodata/metadata/dataset/new_dataset_collection | New Dataset Collection
*DatasetApi* | [**register_new_dataset_neurodata_metadata_dataset_new_dataset_post**](docs/DatasetApi.md#register_new_dataset_neurodata_metadata_dataset_new_dataset_post) | **POST** /neurodata/metadata/dataset/new_dataset | Register New Dataset
*DefaultApi* | [**redirect_get**](docs/DefaultApi.md#redirect_get) | **GET** / | Redirect
*ExternalApi* | [**download_data_neurodata_io_download_url_get**](docs/ExternalApi.md#download_data_neurodata_io_download_url_get) | **GET** /neurodata/io/download_url | Download Data
*ExternalApi* | [**upload_dataset_mesh_neurodata_io_dataset_id_upload_url_mesh_get**](docs/ExternalApi.md#upload_dataset_mesh_neurodata_io_dataset_id_upload_url_mesh_get) | **GET** /neurodata/io/{dataset_id}/upload_url/mesh | Upload Dataset Mesh
*ExternalApi* | [**upload_dataset_swb_neurodata_io_dataset_id_upload_url_swb_get**](docs/ExternalApi.md#upload_dataset_swb_neurodata_io_dataset_id_upload_url_swb_get) | **GET** /neurodata/io/{dataset_id}/upload_url/swb | Upload Dataset Swb
*IoApi* | [**download_data_neurodata_io_download_url_get**](docs/IoApi.md#download_data_neurodata_io_download_url_get) | **GET** /neurodata/io/download_url | Download Data
*IoApi* | [**upload_dataset_files_neurodata_io_dataset_id_upload_dataset_files_post**](docs/IoApi.md#upload_dataset_files_neurodata_io_dataset_id_upload_dataset_files_post) | **POST** /neurodata/io/{dataset_id}/upload_dataset_files | Upload Dataset Files
*IoApi* | [**upload_dataset_mesh_neurodata_io_dataset_id_upload_url_mesh_get**](docs/IoApi.md#upload_dataset_mesh_neurodata_io_dataset_id_upload_url_mesh_get) | **GET** /neurodata/io/{dataset_id}/upload_url/mesh | Upload Dataset Mesh
*IoApi* | [**upload_dataset_swb_neurodata_io_dataset_id_upload_url_swb_get**](docs/IoApi.md#upload_dataset_swb_neurodata_io_dataset_id_upload_url_swb_get) | **GET** /neurodata/io/{dataset_id}/upload_url/swb | Upload Dataset Swb
*MetadataApi* | [**create_animal_neurodata_metadata_tag_animal_create_post**](docs/MetadataApi.md#create_animal_neurodata_metadata_tag_animal_create_post) | **POST** /neurodata/metadata/tag/animal/create | Create Animal
*MetadataApi* | [**create_brain_region_neurodata_metadata_tag_brain_region_create_post**](docs/MetadataApi.md#create_brain_region_neurodata_metadata_tag_brain_region_create_post) | **POST** /neurodata/metadata/tag/brain_region/create | Create Brain Region
*MetadataApi* | [**create_microscopy_neurodata_metadata_tag_microscopy_create_post**](docs/MetadataApi.md#create_microscopy_neurodata_metadata_tag_microscopy_create_post) | **POST** /neurodata/metadata/tag/microscopy/create | Create Microscopy
*MetadataApi* | [**create_mutation_neurodata_metadata_tag_mutation_create_post**](docs/MetadataApi.md#create_mutation_neurodata_metadata_tag_mutation_create_post) | **POST** /neurodata/metadata/tag/mutation/create | Create Mutation
*MetadataApi* | [**create_publication_neurodata_metadata_tag_publication_create_post**](docs/MetadataApi.md#create_publication_neurodata_metadata_tag_publication_create_post) | **POST** /neurodata/metadata/tag/publication/create | Create Publication
*MetadataApi* | [**dataset_tag_search_neurodata_metadata_dataset_dataset_tag_search_post**](docs/MetadataApi.md#dataset_tag_search_neurodata_metadata_dataset_dataset_tag_search_post) | **POST** /neurodata/metadata/dataset/dataset_tag_search | Dataset Tag Search
*MetadataApi* | [**fetch_all_metadata_endpoint_neurodata_metadata_get_all_get**](docs/MetadataApi.md#fetch_all_metadata_endpoint_neurodata_metadata_get_all_get) | **GET** /neurodata/metadata/get_all | Fetch All Metadata Endpoint
*MetadataApi* | [**fetch_dataset_info_neurodata_metadata_dataset_dataset_id_info_get**](docs/MetadataApi.md#fetch_dataset_info_neurodata_metadata_dataset_dataset_id_info_get) | **GET** /neurodata/metadata/dataset/{dataset_id}/info | Fetch Dataset Info
*MetadataApi* | [**fetch_datasets_neurodata_metadata_dataset_all_get_get**](docs/MetadataApi.md#fetch_datasets_neurodata_metadata_dataset_all_get_get) | **GET** /neurodata/metadata/dataset/all/get | Fetch Datasets
*MetadataApi* | [**fetch_modifiable_datasets_neurodata_metadata_dataset_all_get_modifiable_get**](docs/MetadataApi.md#fetch_modifiable_datasets_neurodata_metadata_dataset_all_get_modifiable_get) | **GET** /neurodata/metadata/dataset/all/get_modifiable | Fetch Modifiable Datasets
*MetadataApi* | [**new_dataset_collection_neurodata_metadata_dataset_new_dataset_collection_post**](docs/MetadataApi.md#new_dataset_collection_neurodata_metadata_dataset_new_dataset_collection_post) | **POST** /neurodata/metadata/dataset/new_dataset_collection | New Dataset Collection
*MetadataApi* | [**register_new_dataset_neurodata_metadata_dataset_new_dataset_post**](docs/MetadataApi.md#register_new_dataset_neurodata_metadata_dataset_new_dataset_post) | **POST** /neurodata/metadata/dataset/new_dataset | Register New Dataset
*NeurodataApi* | [**create_animal_neurodata_metadata_tag_animal_create_post**](docs/NeurodataApi.md#create_animal_neurodata_metadata_tag_animal_create_post) | **POST** /neurodata/metadata/tag/animal/create | Create Animal
*NeurodataApi* | [**create_brain_region_neurodata_metadata_tag_brain_region_create_post**](docs/NeurodataApi.md#create_brain_region_neurodata_metadata_tag_brain_region_create_post) | **POST** /neurodata/metadata/tag/brain_region/create | Create Brain Region
*NeurodataApi* | [**create_microscopy_neurodata_metadata_tag_microscopy_create_post**](docs/NeurodataApi.md#create_microscopy_neurodata_metadata_tag_microscopy_create_post) | **POST** /neurodata/metadata/tag/microscopy/create | Create Microscopy
*NeurodataApi* | [**create_mutation_neurodata_metadata_tag_mutation_create_post**](docs/NeurodataApi.md#create_mutation_neurodata_metadata_tag_mutation_create_post) | **POST** /neurodata/metadata/tag/mutation/create | Create Mutation
*NeurodataApi* | [**create_publication_neurodata_metadata_tag_publication_create_post**](docs/NeurodataApi.md#create_publication_neurodata_metadata_tag_publication_create_post) | **POST** /neurodata/metadata/tag/publication/create | Create Publication
*NeurodataApi* | [**dataset_tag_search_neurodata_metadata_dataset_dataset_tag_search_post**](docs/NeurodataApi.md#dataset_tag_search_neurodata_metadata_dataset_dataset_tag_search_post) | **POST** /neurodata/metadata/dataset/dataset_tag_search | Dataset Tag Search
*NeurodataApi* | [**download_data_neurodata_io_download_url_get**](docs/NeurodataApi.md#download_data_neurodata_io_download_url_get) | **GET** /neurodata/io/download_url | Download Data
*NeurodataApi* | [**fetch_all_metadata_endpoint_neurodata_metadata_get_all_get**](docs/NeurodataApi.md#fetch_all_metadata_endpoint_neurodata_metadata_get_all_get) | **GET** /neurodata/metadata/get_all | Fetch All Metadata Endpoint
*NeurodataApi* | [**fetch_dataset_info_neurodata_metadata_dataset_dataset_id_info_get**](docs/NeurodataApi.md#fetch_dataset_info_neurodata_metadata_dataset_dataset_id_info_get) | **GET** /neurodata/metadata/dataset/{dataset_id}/info | Fetch Dataset Info
*NeurodataApi* | [**fetch_datasets_neurodata_metadata_dataset_all_get_get**](docs/NeurodataApi.md#fetch_datasets_neurodata_metadata_dataset_all_get_get) | **GET** /neurodata/metadata/dataset/all/get | Fetch Datasets
*NeurodataApi* | [**fetch_modifiable_datasets_neurodata_metadata_dataset_all_get_modifiable_get**](docs/NeurodataApi.md#fetch_modifiable_datasets_neurodata_metadata_dataset_all_get_modifiable_get) | **GET** /neurodata/metadata/dataset/all/get_modifiable | Fetch Modifiable Datasets
*NeurodataApi* | [**new_dataset_collection_neurodata_metadata_dataset_new_dataset_collection_post**](docs/NeurodataApi.md#new_dataset_collection_neurodata_metadata_dataset_new_dataset_collection_post) | **POST** /neurodata/metadata/dataset/new_dataset_collection | New Dataset Collection
*NeurodataApi* | [**register_new_dataset_neurodata_metadata_dataset_new_dataset_post**](docs/NeurodataApi.md#register_new_dataset_neurodata_metadata_dataset_new_dataset_post) | **POST** /neurodata/metadata/dataset/new_dataset | Register New Dataset
*NeurodataApi* | [**upload_dataset_files_neurodata_io_dataset_id_upload_dataset_files_post**](docs/NeurodataApi.md#upload_dataset_files_neurodata_io_dataset_id_upload_dataset_files_post) | **POST** /neurodata/io/{dataset_id}/upload_dataset_files | Upload Dataset Files
*NeurodataApi* | [**upload_dataset_mesh_neurodata_io_dataset_id_upload_url_mesh_get**](docs/NeurodataApi.md#upload_dataset_mesh_neurodata_io_dataset_id_upload_url_mesh_get) | **GET** /neurodata/io/{dataset_id}/upload_url/mesh | Upload Dataset Mesh
*NeurodataApi* | [**upload_dataset_swb_neurodata_io_dataset_id_upload_url_swb_get**](docs/NeurodataApi.md#upload_dataset_swb_neurodata_io_dataset_id_upload_url_swb_get) | **GET** /neurodata/io/{dataset_id}/upload_url/swb | Upload Dataset Swb
*TagApi* | [**create_animal_neurodata_metadata_tag_animal_create_post**](docs/TagApi.md#create_animal_neurodata_metadata_tag_animal_create_post) | **POST** /neurodata/metadata/tag/animal/create | Create Animal
*TagApi* | [**create_brain_region_neurodata_metadata_tag_brain_region_create_post**](docs/TagApi.md#create_brain_region_neurodata_metadata_tag_brain_region_create_post) | **POST** /neurodata/metadata/tag/brain_region/create | Create Brain Region
*TagApi* | [**create_microscopy_neurodata_metadata_tag_microscopy_create_post**](docs/TagApi.md#create_microscopy_neurodata_metadata_tag_microscopy_create_post) | **POST** /neurodata/metadata/tag/microscopy/create | Create Microscopy
*TagApi* | [**create_mutation_neurodata_metadata_tag_mutation_create_post**](docs/TagApi.md#create_mutation_neurodata_metadata_tag_mutation_create_post) | **POST** /neurodata/metadata/tag/mutation/create | Create Mutation
*TagApi* | [**create_publication_neurodata_metadata_tag_publication_create_post**](docs/TagApi.md#create_publication_neurodata_metadata_tag_publication_create_post) | **POST** /neurodata/metadata/tag/publication/create | Create Publication
*UserApi* | [**auth_database_login_user_auth_database_login_post**](docs/UserApi.md#auth_database_login_user_auth_database_login_post) | **POST** /user/auth/database/login | Auth:Database.Login
*UserApi* | [**auth_database_login_user_auth_database_login_post_0**](docs/UserApi.md#auth_database_login_user_auth_database_login_post_0) | **POST** /user/auth/database/login | Auth:Database.Login
*UserApi* | [**auth_database_logout_user_auth_database_logout_post**](docs/UserApi.md#auth_database_logout_user_auth_database_logout_post) | **POST** /user/auth/database/logout | Auth:Database.Logout
*UserApi* | [**auth_database_logout_user_auth_database_logout_post_0**](docs/UserApi.md#auth_database_logout_user_auth_database_logout_post_0) | **POST** /user/auth/database/logout | Auth:Database.Logout
*UserApi* | [**current_user_profile_user_profile_current_get**](docs/UserApi.md#current_user_profile_user_profile_current_get) | **GET** /user/profile/current | Current User Profile
*UserApi* | [**oauth_oauth2_database_authorize_user_auth_orcid_authorize_get**](docs/UserApi.md#oauth_oauth2_database_authorize_user_auth_orcid_authorize_get) | **GET** /user/auth/orcid/authorize | Oauth:Oauth2.Database.Authorize
*UserApi* | [**oauth_oauth2_database_callback_user_auth_orcid_callback_get**](docs/UserApi.md#oauth_oauth2_database_callback_user_auth_orcid_callback_get) | **GET** /user/auth/orcid/callback | Oauth:Oauth2.Database.Callback
*UserApi* | [**profile_from_scientist_tag_user_profile_scientist_tag_get**](docs/UserApi.md#profile_from_scientist_tag_user_profile_scientist_tag_get) | **GET** /user/profile/{scientist_tag} | Profile From Scientist Tag
*UserApi* | [**register_register_user_register_post**](docs/UserApi.md#register_register_user_register_post) | **POST** /user/register | Register:Register
*UserApi* | [**set_profile_picture_user_profile_current_upload_url_profile_picture_post**](docs/UserApi.md#set_profile_picture_user_profile_current_upload_url_profile_picture_post) | **POST** /user/profile/current/upload_url_profile_picture | Set Profile Picture
*UserApi* | [**set_scientist_tag_user_profile_current_set_scientist_tag_post**](docs/UserApi.md#set_scientist_tag_user_profile_current_set_scientist_tag_post) | **POST** /user/profile/current/set_scientist_tag | Set Scientist Tag
*UserApi* | [**verify_request_token_user_request_verify_token_post**](docs/UserApi.md#verify_request_token_user_request_verify_token_post) | **POST** /user/request-verify-token | Verify:Request-Token
*UserApi* | [**verify_verify_user_verify_post**](docs/UserApi.md#verify_verify_user_verify_post) | **POST** /user/verify | Verify:Verify


## Documentation For Models

 - [AllMetadataResponse](docs/AllMetadataResponse.md)
 - [AnimalModelCreateRead](docs/AnimalModelCreateRead.md)
 - [AnimalModelJustRead](docs/AnimalModelJustRead.md)
 - [BearerResponse](docs/BearerResponse.md)
 - [BodyVerifyRequestTokenUserRequestVerifyTokenPost](docs/BodyVerifyRequestTokenUserRequestVerifyTokenPost.md)
 - [BodyVerifyVerifyUserVerifyPost](docs/BodyVerifyVerifyUserVerifyPost.md)
 - [BrainRegionCreateRead](docs/BrainRegionCreateRead.md)
 - [BrainRegionJustRead](docs/BrainRegionJustRead.md)
 - [BrainStructure](docs/BrainStructure.md)
 - [CreateReadDatasetCollectionModel](docs/CreateReadDatasetCollectionModel.md)
 - [DatasetSearchModel](docs/DatasetSearchModel.md)
 - [Detail](docs/Detail.md)
 - [ErrorModel](docs/ErrorModel.md)
 - [FilterDatasets](docs/FilterDatasets.md)
 - [GeneExpression](docs/GeneExpression.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [Id2LabelResponse](docs/Id2LabelResponse.md)
 - [IdResponse](docs/IdResponse.md)
 - [IdsResponse](docs/IdsResponse.md)
 - [LocationInner](docs/LocationInner.md)
 - [MicroscopyCreateRead](docs/MicroscopyCreateRead.md)
 - [MicroscopyJustRead](docs/MicroscopyJustRead.md)
 - [MutationModelCreateRead](docs/MutationModelCreateRead.md)
 - [MutationModelJustRead](docs/MutationModelJustRead.md)
 - [NeuroanatomicalDirection](docs/NeuroanatomicalDirection.md)
 - [OAuth2AuthorizeResponse](docs/OAuth2AuthorizeResponse.md)
 - [PreSignedS3Schema](docs/PreSignedS3Schema.md)
 - [PublicationCreateRead](docs/PublicationCreateRead.md)
 - [S3Instance](docs/S3Instance.md)
 - [S3PreSignedDownloadRequest](docs/S3PreSignedDownloadRequest.md)
 - [SingleDatasetInput](docs/SingleDatasetInput.md)
 - [SingleDatasetOutput](docs/SingleDatasetOutput.md)
 - [SyndbTable](docs/SyndbTable.md)
 - [UserCreate](docs/UserCreate.md)
 - [UserJustRead](docs/UserJustRead.md)
 - [UserProfile](docs/UserProfile.md)
 - [ValidationError](docs/ValidationError.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="OAuth2PasswordBearer"></a>
### OAuth2PasswordBearer

- **Type**: OAuth
- **Flow**: password
- **Authorization URL**: 
- **Scopes**: N/A


## Author




